Album: JadeRoute
Date: November 6, 2020
Date Added: July 01, 2025
URLs:
- https://nyquillionaire.bandcamp.com/album/jaderoute
Artists:
- nyquillionaire
Cover Artists:
- spicyyeti
Art Tags:
- Jade
- Jake
- Karkat
- Dave
- Dirk
- Rosebot
- Terezi
- Kanaya
- Roxy
- Unbreakable Katana
Cover Art File Extension: png
Color: '#b5e61d'
Groups:
- Fandom
---
Track: START
Duration: 4:01
URLs:
- https://nyquillionaire.bandcamp.com/track/start
---
Track: TIT B GONE
Duration: 1:55
URLs:
- https://nyquillionaire.bandcamp.com/track/tit-b-gone
---
Track: WE INTERRUPT THIS PROGRAM
Duration: 0:05
URLs:
- https://nyquillionaire.bandcamp.com/track/we-interrupt-this-program
Lyrics: |-
    And now, a word from our sponsors!
---
Track: SHE IS DEAD AND POINTING
Duration: 1:08
URLs:
- https://nyquillionaire.bandcamp.com/track/she-is-dead-and-pointing
---
Track: A LENGTHY EXPLANATION OF FILMMAKING
Duration: 3:29
URLs:
- https://nyquillionaire.bandcamp.com/track/a-lengthy-explanation-of-filmmaking
---
Track: TANTRUM HOUR
Duration: 2:16
URLs:
- https://nyquillionaire.bandcamp.com/track/tantrum-hour
---
Track: I WANT MY SOCKS BACK
Duration: 1:06
URLs:
- https://nyquillionaire.bandcamp.com/track/i-want-my-socks-back
---
Track: JADEROUTE
Duration: 4:06
URLs:
- https://nyquillionaire.bandcamp.com/track/jaderoute
---
Track: JUST HAVE A DEPRESSION NAP
Duration: 1:44
URLs:
- https://nyquillionaire.bandcamp.com/track/just-have-a-depression-nap
---
Track: YOUR FEELINGS ARE CRINGE
Duration: 1:48
URLs:
- https://nyquillionaire.bandcamp.com/track/your-feelings-are-cringe
---
Track: MUSIC TO BEAT UP WEEBS TO
Duration: 2:50
URLs:
- https://nyquillionaire.bandcamp.com/track/music-to-beat-up-weebs-to
